# Ipopt::IterateInitializer Class Reference

Base class for all methods for initializing the iterates. More...

`#include <IpIterateInitializer.hpp>`

Inheritance diagram for Ipopt::IterateInitializer:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | SetInitialIterates ()=0
| Compute the initial iterates and set the into the curr field of the ip_data object.
Constructors/Destructors
| IterateInitializer ()
| Default Constructor.
virtual | ~IterateInitializer ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IterateInitializer (const IterateInitializer &)
| Copy Constructor.
void | operator= (const IterateInitializer &)
| Overloaded Equals Operator.

## Detailed Description

Base class for all methods for initializing the iterates.

Definition at line 22 of file IpIterateInitializer.hpp.

## Constructor & Destructor Documentation

Ipopt::IterateInitializer::IterateInitializer | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 28 of file IpIterateInitializer.hpp.

virtual Ipopt::IterateInitializer::~IterateInitializer | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 32 of file IpIterateInitializer.hpp.

Ipopt::IterateInitializer::IterateInitializer | ( | const IterateInitializer & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::IterateInitializer::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::DefaultIterateInitializer, Ipopt::RestoIterateInitializer, and Ipopt::WarmStartIterateInitializer.

virtual bool Ipopt::IterateInitializer::SetInitialIterates | ( |  | ) | `[pure virtual]`

Compute the initial iterates and set the into the curr field of the ip_data object.

Implemented in Ipopt::DefaultIterateInitializer, Ipopt::RestoIterateInitializer, and Ipopt::WarmStartIterateInitializer.

void Ipopt::IterateInitializer::operator= | ( | const IterateInitializer & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::DefaultIterateInitializer, Ipopt::RestoIterateInitializer, and Ipopt::WarmStartIterateInitializer.

The documentation for this class was generated from the following file:

- src/Algorithm/IpIterateInitializer.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines